Quattro9ParserInternal::SubDocument Class Reference documentation

Public Member Functions | Public Attributes | List of all members
Quattro9ParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a WPS4Parser. More...

Inheritance diagram for Quattro9ParserInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr const &input, Quattro9Parser &pars, bool header)
| constructor for a text entry More...
| ~SubDocument () final
| destructor More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator== More...
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function More...
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor More...
| ~WKSSubDocument () override
| destructor More...
WKSParser * | parser () const
| returns the parser More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator = More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
bool | m_header
| a flag to known if we need to send the header or the footer More...

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a WPS4Parser.

## Constructor & Destructor Documentation

## ◆ SubDocument()

Quattro9ParserInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | Quattro9Parser & | pars,
|  | bool | header
| ) |  |
| inline

constructor for a text entry

## ◆ ~SubDocument()

Quattro9ParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator==()

bool Quattro9ParserInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void Quattro9ParserInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| finalvirtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_header

bool Quattro9ParserInternal::SubDocument::m_header

a flag to known if we need to send the header or the footer

Referenced by operator==().

The documentation for this class was generated from the following file:

- Quattro9.cpp